Skip to main content
`Ctrl`+`K`

# PetscViewerBinaryGetFlowControl

Returns how many messages are allowed to be outstanding at the same time during parallel IO reads/writes

## Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscViewerBinaryGetFlowControl(PetscViewer viewer, PetscInt *fc)

Not Collective

## Input Parameter

- viewer - `PetscViewer` context, obtained from `PetscViewerBinaryOpen()`

## Output Parameter

- fc - the number of messages

## See Also

Viewers: Looking at PETSc Objects, `PETSCVIEWERBINARY`, `PetscViewerBinaryOpen()`, `PetscViewerBinaryGetInfoPointer()`, `PetscViewerBinarySetFlowControl()`

## Level

advanced

## Location

src/sys/classes/viewer/impls/binary/binv.c

## Implementations

PetscViewerBinaryGetFlowControl_Binary() in src/sys/classes/viewer/impls/binary/binv.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages